CoffeePi Coffee machine control for Raspberry Pi

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables
timer.cpp File Reference
`#include <csignal>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include "global.h"`
`#include "timer.h"`
`#include "logger.h"`

## Functions
void | timer_handler (int sig, siginfo_t *si, void *uc)
| this method is called by the system timer and handles the other timers More...
void | initTimers (void)
| inits the system timer based on signals More...
void | stopTimers (void)
| Stops all existing timers. More...
void * | nullThread (void *threadid)
| This is a dummy thread. More...

## Variables
int | counter = 0
int | timercnt = 10
timer * | firstTimer = NULL
timer * | lastTimer = NULL

## Function Documentation

void initTimers | ( | void |  | ) |

inits the system timer based on signals

void* nullThread | ( | void * | threadid | ) |

This is a dummy thread.

Parameters

  *threadid | Thread ID

void stopTimers | ( | void |  | ) |

Stops all existing timers.

void timer_handler | ( | int | sig,
|  | siginfo_t * | si,
|  | void * | uc
| ) |  |

this method is called by the system timer and handles the other timers

## Variable Documentation

int counter = 0

timer* firstTimer = NULL

timer* lastTimer = NULL

int timercnt = 10